#
# Conditional build:
%bcond_with	tests		# "make test" requires running X and plplot-driver-xwin
#
%define		pdir	Graphics
%define		pnam	PLplot
%include	/usr/lib/rpm/macros.perl
Summary:	Graphics::PLplot - Perl interface to the PLplot plotting library
Name:		perl-Graphics-PLplot
Version:	0.03
Release:	9
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Graphics/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	95a1cfeef5522f963357b1a757e9ba08
Patch0:		fix-plplot-call.patch
URL:		http://search.cpan.org/dist/Graphics-PLplot/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	plplot-devel
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	plplot-driver-xwin
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a perl interface to the PLplot plotting library
available from http://www.plplot.org. The interface is very similar
to the C interface except that:

 - Arrays are passed in by reference
 - If the number of elements in an array is required by the C function
   the perl interface calculates this automatically [eg plline]
 - Return values are returned and not supplied as arguments

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Graphics/*.pm
%dir %{perl_vendorarch}/auto/Graphics/PLplot
%attr(755,root,root) %{perl_vendorarch}/auto/Graphics/PLplot/*.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Graphics-PLplot.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d623f50
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 22232f9
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ce37cb8
- release 7 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> ba56b30
- x32 rebuild
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6971b0e
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4346596
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8fcd94d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 76c14bb
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Mar 17 2014 Jan Rękorajski <baggins@pld-linux.org> 1a40a7d
- release 2 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 80bae26
- new

